using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s1 = Console.ReadLine().Split(' ');
            int n = int.Parse(s1[0]);
            int l = int.Parse(s1[1]);
            string[] s2 = Console.ReadLine().Split(' ');
            bool p = false;
            for(int i = 0;i < n;i++)
            {
                int x = int.Parse(s2[i]);
                if(x <= l) 
                {
                    Console.WriteLine(i + 1);
                    p = true;
                    break;
                }
            }
            if (!p)
                Console.WriteLine(-1);
            Console.ReadLine();
        }
    }
}